GET
https://api.cryptohopper.com/v1/hopper/{id}/mosttraded
Returns the currencies the hopper traded in the last 30 days with their trade count, average result and average holding time in hours, most traded first.
OAuth scope:
read About scopes
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/mosttraded" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/mosttraded', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/mosttraded",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/mosttraded');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
Response
{
"data": [
{
"tradeAmount": "42",
"currency": "BTC",
"profit": "1.2345",
"averageHoldingTimeInHours": "5.3"
},
{
"tradeAmount": "17",
"currency": "ETH",
"profit": "0.8712",
"averageHoldingTimeInHours": "9.1"
}
]
}